---
lang: en
title: 'API docs: repository.defaultcrudrepository.deleteall'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaultcrudrepository.deleteall.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultCrudRepository](./repository.defaultcrudrepository.md) &gt; [deleteAll](./repository.defaultcrudrepository.deleteall.md)

## DefaultCrudRepository.deleteAll() method

<b>Signature:</b>

```typescript
deleteAll(where?: Where<T>, options?: Options): Promise<Count>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  where | <code>Where&lt;T&gt;</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<Count>`


